import { FileManagerContextObject, FileManagerStorageOperations } from "../types";
import { GetPermission, SecurityIdentity } from "@webiny/api-security/types";
import { FileStorage } from "../storage/FileStorage";
export interface FileManagerConfig {
    storageOperations: FileManagerStorageOperations;
    getTenantId: () => string;
    getLocaleCode: () => string;
    getIdentity: () => SecurityIdentity;
    getPermission: GetPermission;
    storage: FileStorage;
    WEBINY_VERSION: string;
}
export declare const createFileManager: (config: FileManagerConfig) => FileManagerContextObject;
